Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Autor Téma: Evince, Chrome a Firefox nezobrazí některé PDF soubory  (Přečteno 1277 krát)

lednak

  • Člen
  • **
  • Příspěvků: 198
    • Zobrazit profil
Evince, Chrome a Firefox nezobrazí některé PDF soubory
« kdy: 28 Červenec 2017, 22:58:03 »
Občas dostanu PDF soubor, který ve všech těchto prohlížečích ukáže hlášku "To view the full contents of this document, you need a later version of the PDF viewer. You can upgrade to the latest version of Adobe Reader from..." Ve vlastnostech se ukazuje PDF 1.7.
Acrobat Reader ve Windows s ním problém nemá. Umí si s tím někdo poradit pod Linuxem?

juwa2

  • Závislák
  • ****
  • Příspěvků: 3317
    • Zobrazit profil
Re:Evince, Chrome a Firefox nezobrazí některé PDF soubory
« Odpověď #1 kdy: 28 Červenec 2017, 23:24:49 »
Nainstaluj si Adobe Reader (poslední dostupná verze je 9.5.5)
http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb
(https://adobe-reader.en.uptodown.com/ubuntu)
instalovat pomocí Gdebi
je třeba zapnout podporu 32bit architektury (pokud nemáš)
Kód: [Vybrat]
sudo dpkg --add-architecture i386
sudo apt -get update

lednak

  • Člen
  • **
  • Příspěvků: 198
    • Zobrazit profil
Re:Evince, Chrome a Firefox nezobrazí některé PDF soubory
« Odpověď #2 kdy: 29 Červenec 2017, 08:16:03 »
Na zobrazení funguje, díky. Ale pokud je to formulář, vypíše "Pro správné fungování tohoto formuláře je potřeba Acrobat či Reader verze alespoň 10. V nižších verzích prohlížeče nelze formulář editovat." Je nějaká možnost?

juwa2

  • Závislák
  • ****
  • Příspěvků: 3317
    • Zobrazit profil
Re:Evince, Chrome a Firefox nezobrazí některé PDF soubory
« Odpověď #3 kdy: 29 Červenec 2017, 14:51:52 »
Na zobrazení funguje, díky. Ale pokud je to formulář, vypíše "Pro správné fungování tohoto formuláře je potřeba Acrobat či Reader verze alespoň 10. V nižších verzích prohlížeče nelze formulář editovat." Je nějaká možnost?
V podstatě pouze nový Okular (verze 17). Ale jak zjistíš zde https://okular.kde.org/download.php
balíky existují pouze pro určitá distra a Ubuntu mezi nimi není. Jedině že by sis balík zkompiloval ze zdrojáku sám (nebo někoho požádal). I tak ale zůstane otázkou, jestli bude umět vše co požaduješ - ale naděje tady určitá je.
Adobe hodil Reader pro linux přes palubu, takže verze 10 nebo vyšší neexistuje.
-----------------------------
Ještě můžeš zkusit zprovoznit Adobe Reader 11 přes Wine  https://www.quora.com/How-do-I-install-Adobe-Reader-on-Ubuntu-using-the-Wine-software
Je ale otázkou, i když to rozchodíš, zda bude dělat vše co požaduješ. Nicméně za vyzkoušení nic nedáš...
« Poslední změna: 29 Červenec 2017, 15:00:48 od juwa2 »

lednak

  • Člen
  • **
  • Příspěvků: 198
    • Zobrazit profil
Re:Evince, Chrome a Firefox nezobrazí některé PDF soubory
« Odpověď #4 kdy: 01 Srpen 2017, 18:47:17 »
Díky za rady.
Na kompilaci si netroufám, i když jsem nějakou kdysi dávno podle návodu zvládnul.
Doufám že Okular 17 pro Ubuntu bude brzo.
Skončil jsem u Adobe Acrobat DC přes PlayOnLinux, zatím jsem u ministerských formulářů nenarazil na žádný problém.